org.h2.value

## Class ValueEnum

- java.lang.Object
- - org.h2.value.VersionedValue
  - - org.h2.value.Value
    - - org.h2.value.ValueEnumBase
      - - org.h2.value.ValueEnum

    public class ValueEnum
    extends ValueEnumBase

ENUM value.

### Field Summary

### Fields inherited from class org.h2.value.Value

`ARRAY, BLOB, BOOLEAN, BYTE, BYTES, CLOB, DATE, DECIMAL, DOUBLE, ENUM, FLOAT, GEOMETRY, INT, INTERVAL_DAY, INTERVAL_DAY_TO_HOUR, INTERVAL_DAY_TO_MINUTE, INTERVAL_DAY_TO_SECOND, INTERVAL_HOUR, INTERVAL_HOUR_TO_MINUTE, INTERVAL_HOUR_TO_SECOND, INTERVAL_MINUTE, INTERVAL_MINUTE_TO_SECOND, INTERVAL_MONTH, INTERVAL_SECOND, INTERVAL_YEAR, INTERVAL_YEAR_TO_MONTH, JAVA_OBJECT, LONG, MIN_LONG_DECIMAL, NULL, RESULT_SET, ROW, SHORT, STRING, STRING_FIXED, STRING_IGNORECASE, TIME, TIMESTAMP, TIMESTAMP_TZ, TYPE_COUNT, UNKNOWN, UUID`

### Fields inherited from class org.h2.value.VersionedValue

`DUMMY`

### Method Summary

Methods
`ExtTypeInfoEnum` `getEnumerators()`
`TypeInfo` `getType()` Returns the data type.

### Methods inherited from class org.h2.value.ValueEnumBase

`add, compareTypeSafe, convertTo, divide, equals, get, getInt, getLong, getMemory, getObject, getSignum, getSQL, getString, getValueType, hashCode, modulus, multiply, set, subtract`

### Methods inherited from class org.h2.value.Value

`checkPrecision, clearCache, compareTo, compareWithNull, containsNull, convertPrecision, convertScale, convertTo, convertTo, convertTo, convertToInt, copy, copyToResult, copyToTemp, getBigDecimal, getBoolean, getByte, getBytes, getBytesNoCopy, getDataHandler, getDate, getDouble, getFloat, getHigherOrder, getHigherType, getInputStream, getInputStream, getReader, getReader, getResult, getShort, getSmall, getSQL, getTableId, getTime, getTimestamp, getTraceSQL, getUnsupportedExceptionForOperation, isLinkedToTable, negate, remove, toString`

### Methods inherited from class org.h2.value.VersionedValue

`getCommittedValue, getCurrentValue, getOperationId, isCommitted`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getType

    public TypeInfo getType()

Description copied from class: `Value`
Returns the data type.

Overrides:
  `getType` in class `ValueEnumBase`
Returns:
  the data type

#### getEnumerators

    public ExtTypeInfoEnum getEnumerators()